Skip to main content

Retrieve Customer by ID


Overview

You can retrieve information for a specific customer by using the GET method, as described below. The response structure varies based on the customer type (Individual, Business, or Joint Tenancy).


Resource Access

Production (api.ahrvo.network)

GET https://api.ahrvo.network/banking/us2/v1/customer/id/{id}

Staging (gateway.ahrvo.network)

GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{id}

Authentication

HeaderDescription
AuthorizationBearer {JWT token}
x-api-keyYour API key
Content-Typeapplication/json

Path Parameters

ParameterTypeDescription
idintegerInternal customer ID

Response Fields

Top-Level Fields

FieldTypeDescription
resourceNamestringResource type (customer)
urlstringURL to the customer resource
idintegerInternal customer ID
externalIdstringClient-defined external identifier
tagsarrayArray of labels
metaDataobjectCustom key-value metadata pairs
typestringINDIVIDUAL, BUSINESS, or JOINT_TENANCY
individualobjectIndividual details (present when type is INDIVIDUAL)
businessobjectBusiness details (present when type is BUSINESS)
ownersarrayJoint tenancy owners (present when type is JOINT_TENANCY)
isPaperlessbooleanPaperless communication preference
statusstringCustomer status (ACTIVE, INACTIVE)
statusReasonstringReason for the current status
statusDatestringDate of the last status change
accountobjectLink to the customer's account resource
externalAccountobjectLink to external account resources
cardobjectLink to card resources
merchantobjectLink to merchant resources (business only)
linkedDocumentarrayLinked documents
portalAccessobjectPortal access configuration
verificationobjectKYC/OFAC verification status
createdOnstringCreation timestamp
createdByobjectUser who created the customer
lastUpdatedOnstringLast update timestamp
lastUpdatedByobjectUser who last updated the customer

Verification Object

FieldTypeDescription
ofacStatusstringOFAC screening status: PENDING_VERIFICATION, VERIFIED, UNDER_REVIEW, REJECTED, IGNORED
ofacStatusReasonstringReason for the OFAC status
ofacStatusDatestringTimestamp of the OFAC status
cipStatusstringCIP verification status: PENDING_VERIFICATION, VERIFIED, UNDER_REVIEW, REJECTED, IGNORED
cipStatusReasonstringReason for the CIP status
cipStatusDatestringTimestamp of the CIP status
cipRiskAssessmentDataarrayRisk assessment details
cipRiskAssessmentData[].categorystringRisk category (e.g., DOB_VALIDATION, ADDRESS_VALIDATION, EIN_VALIDATION)
cipRiskAssessmentData[].riskCodestringRisk code (e.g., LN-I-28, LN-I-25, LN-B-21)
cipRiskAssessmentData[].riskDescriptionstringHuman-readable risk description

Example Requests

Retrieve a Customer by Internal ID

GET /banking/us2/v1/customer/id/4015210 HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {placeholder("JWT token")}
x-api-key: {placeholder("your-api-key")}
Content-Type: application/json

Example Responses

Individual Customer — Minimal

{
"resourceName": "customer",
"url": "/v1/customer/id/4055073",
"id": 4055073,
"type": "INDIVIDUAL",
"individual": {
"firstName": "John",
"lastName": "Smith",
"verification": {
"ofacStatus": "UNDER_REVIEW",
"ofacStatusReason": "Potential OFAC Match based on name search and name(aka) search",
"ofacStatusDate": "09/23/2022 18:13:21",
"cipStatus": "UNDER_REVIEW",
"cipStatusReason": "Unable to verify date-of-birth",
"cipStatusDate": "09/23/2022 12:48:23",
"cipRiskAssessmentData": [
{
"category": "DOB_VALIDATION",
"riskCode": "LN-I-28",
"riskDescription": "Unable to verify date-of-birth"
}
]
},
"createdOn": "09/23/2022 12:48:23",
"lastUpdatedOn": "09/23/2022 18:13:21"
},
"status": "ACTIVE",
"statusReason": "ON_USER_REQUEST",
"statusDate": "09/23/2022 12:48:23",
"account": {
"resourceName": "account",
"url": "/v1/customer/id/4055073/account"
},
"externalAccount": {
"resourceName": "externalAccount",
"url": "/v1/customer/id/4055073/externalAccount"
},
"createdOn": "09/23/2022 12:48:23",
"createdBy": {
"userType": "API_USER",
"username": "passportqa+491570718506@ahrvo.com",
"status": "ACTIVE"
},
"lastUpdatedOn": "09/23/2022 18:13:21",
"lastUpdatedBy": {
"userType": "SYSTEM",
"username": "SYSTEM",
"status": "ACTIVE"
}
}

Individual Customer — Full

{
"resourceName": "customer",
"url": "/v1/customer/id/4012504",
"id": 4012504,
"tags": ["grade A customer"],
"externalId": "TS105673890",
"metaData": {
"acceptedDraftAmount": "$333.50"
},
"type": "INDIVIDUAL",
"individual": {
"firstName": "John",
"middleName": "K",
"lastName": "Smith",
"fullName": "John K Smith",
"taxIdentification": {
"type": "ITIN",
"idLast4": "0929"
},
"dob": "06/25/2000",
"homePhone": "573-986-1372",
"mobilePhone": "235-247-4107",
"workPhone": "838-900-9290",
"mailingAddress": [
{
"resourceName": "address",
"url": "/v1/customer/id/4012504/mailingAddress/id/1047864",
"id": 1047864,
"externalId": "P945672A221",
"addressLine1": "9299",
"addressLine2": "GT1 KMB",
"city": "San Jose",
"state": "CA",
"zip": "95311",
"isPrimary": true,
"usage": { "isPayorAddress": false }
}
],
"verification": {
"ofacStatus": "IGNORED",
"ofacStatusReason": "IGNORED ON_USER_REQUEST",
"ofacStatusDate": "09/23/2022 18:13:21",
"cipStatus": "UNDER_REVIEW",
"cipStatusReason": "Unable to verify address",
"cipStatusDate": "09/23/2022 12:48:23",
"cipRiskAssessmentData": [
{
"category": "ADDRESS_VALIDATION",
"riskCode": "LN-I-25",
"riskDescription": "Unable to verify address"
}
]
},
"createdOn": "08/29/2024 11:53:07",
"lastUpdatedOn": "08/29/2024 11:53:08",
"countryCode": "91"
},
"isPaperless": false,
"status": "ACTIVE",
"statusReason": "ON_USER_REQUEST",
"statusDate": "08/29/2024 11:53:07",
"account": { "resourceName": "account", "url": "/v1/customer/id/4012504/account" },
"externalAccount": { "resourceName": "externalAccount", "url": "/v1/customer/id/4012504/externalAccount" },
"card": { "resourceName": "card", "url": "/v1/customer/id/4012504/card" },
"linkedDocument": [
{
"id": 27688,
"purpose": "AUTHORIZATION",
"status": "PENDING_VERIFICATION",
"document": {
"resourceName": "document",
"url": "/v1/document/id/4026881",
"id": 4026881,
"type": "SPAA",
"name": "abc.pdf"
},
"linkedOn": "08/29/2024 11:53:07",
"linkedBy": {
"userType": "API_USER",
"username": "passportqa+887444730852@ahrvo.com",
"status": "ACTIVE"
}
}
],
"createdOn": "08/29/2024 11:53:07",
"createdBy": { "userType": "API_USER", "username": "passportqa+887444730852@ahrvo.com", "status": "ACTIVE" },
"lastUpdatedOn": "08/29/2024 11:53:08",
"lastUpdatedBy": { "userType": "SYSTEM", "username": "SYSTEM", "status": "ACTIVE" },
"portalAccess": { "grantAccess": false }
}

Business Customer — Minimal

{
"resourceName": "customer",
"url": "/v1/customer/id/4052105",
"id": 4052105,
"type": "BUSINESS",
"business": {
"legalName": "AMEX",
"verification": {
"ofacStatus": "IGNORED",
"ofacStatusReason": "IGNORED ON_USER_REQUEST",
"ofacStatusDate": "09/19/2022 09:49:42",
"cipStatus": "UNDER_REVIEW",
"cipStatusReason": "Unable to verify business TIN on business records | Unable to verify business address on business records(VI:0)",
"cipStatusDate": "09/19/2022 09:49:42",
"cipRiskAssessmentData": [
{ "category": "EIN_VALIDATION", "riskCode": "LN-B-21", "riskDescription": "Unable to verify business TIN on business records" },
{ "category": "EIN_VALIDATION", "riskCode": "LN-B-20", "riskDescription": "Unable to verify business address on business records" }
]
}
},
"status": "ACTIVE",
"statusReason": "ON_USER_REQUEST",
"statusDate": "09/19/2022 09:49:42",
"account": { "resourceName": "account", "url": "/v1/customer/id/4052105/account" },
"externalAccount": { "resourceName": "externalAccount", "url": "/v1/customer/id/4052105/externalAccount" },
"card": { "resourceName": "card", "url": "/v1/customer/id/4052105/card" },
"merchant": { "resourceName": "merchant", "url": "/v1/customer/id/4052105/merchant" },
"createdOn": "09/19/2022 09:49:42",
"createdBy": { "userType": "API_USER", "username": "passportqa+491570718506@ahrvo.com", "status": "ACTIVE" },
"lastUpdatedOn": "09/19/2022 09:49:42",
"lastUpdatedBy": { "userType": "API_USER", "username": "passportqa+491570718506@ahrvo.com", "status": "ACTIVE" }
}

Joint Tenancy Customer — Minimal

{
"resourceName": "customer",
"url": "/v1/customer/id/4006839",
"id": 4006839,
"type": "JOINT_TENANCY",
"status": "ACTIVE",
"statusReason": "ON_USER_REQUEST",
"statusDate": "05/02/2024 09:29:57",
"account": { "resourceName": "account", "url": "/v1/customer/id/4006839/account" },
"externalAccount": { "resourceName": "externalAccount", "url": "/v1/customer/id/4006839/externalAccount" },
"card": { "resourceName": "card", "url": "/v1/customer/id/4006839/card" },
"createdOn": "05/02/2024 09:29:57",
"createdBy": { "userType": "API_USER", "username": "passportqa+aDePqJ@ahrvo.com", "status": "ACTIVE" },
"lastUpdatedOn": "05/02/2024 09:29:57",
"lastUpdatedBy": { "userType": "API_USER", "username": "passportqa+aDePqJ@ahrvo.com", "status": "ACTIVE" },
"portalAccess": { "grantAccess": false },
"owners": [
{
"id": 18975,
"externalId": "ETwmtro23",
"isPrimaryOwner": true,
"firstName": "John",
"lastName": "Max",
"fullName": "John Max",
"verification": {
"ofacStatus": "IGNORED",
"ofacStatusReason": "IGNORED ON_USER_REQUEST",
"cipStatus": "UNDER_REVIEW",
"cipStatusReason": "Unable to verify address",
"cipStatusDate": "09/23/2022 12:48:23",
"cipRiskAssessmentData": [
{ "category": "ADDRESS_VALIDATION", "riskCode": "LN-I-25", "riskDescription": "Unable to verify address" }
]
},
"portalAccess": { "grantAccess": false },
"createdOn": "05/02/2024 09:29:57",
"lastUpdatedOn": "05/02/2024 09:29:57"
}
]
}

Response Status

HTTP Status: 200 OK

Important Notes

Response Structure

The response structure varies based on the customer type. The individual object is present for INDIVIDUAL customers, business for BUSINESS, and owners array for JOINT_TENANCY.

Verification Data

The verification object contains KYC/AML compliance data including OFAC screening and CIP (Customer Identification Program) results. Review cipRiskAssessmentData for detailed risk findings.

Linked Resources

The response includes URLs to related resources (account, externalAccount, card, merchant) for easy navigation to associated entities.


Interactive API Explorer